# Container, Docker, and Kubernetes Training Videos

This repo provides a list of helpful online videos for learning containers, Docker, Kubernetes, Rancher and more.

- Free videos are tagged with ***FREE***
- Videos that cost money are tagged with ***$***

This repo will be updated periodically as we come across more resources we think may be useful.

## Docker

### YouTube ***Free***

- Docker and Kubernetes Tutorial | Full Course [2021]: https://www.youtube.com/watch?v=bhBSlnQcq2k 

- Learn Docker - DevOps with Node.js & Express: https://www.youtube.com/watch?v=9zUHg7xjIqQ 

- Docker Tutorial for Beginners - A Full DevOps Course on How to Run Applications in Containers: https://www.youtube.com/watch?v=fqMOX6JJhGo 

- Docker Tutorial for Beginners [FULL COURSE in 3 Hours]: https://www.youtube.com/watch?v=3c-iBn73dDE 

### Udemy ***$***

- Docker Mastery: with Kubernetes +Swarm from a Docker Captain: https://www.udemy.com/course/docker-mastery/ 

- Docker and Kubernetes: The Complete Guide: https://www.udemy.com/course/docker-and-kubernetes-the-complete-guide/ 

### ACloudGuru ***$***

- Docker Quick Start: https://acloudguru.com/course/docker-quick-start 

- Docker Certified Associate (DCA): https://acloudguru.com/course/docker-certified-associate-dca 

- Docker - Deep Dive: https://acloudguru.com/course/docker-deep-dive 

## Kubernetes

### YouTube ***Free***

- Kubernetes Tutorial for Beginners [FULL COURSE in 4 Hours]: https://www.youtube.com/watch?v=X48VuDVv0do 

- Kubernetes Crash Course for Absolute Beginners: https://www.youtube.com/watch?v=s_o8dwzRlu4 

- Kubernetes Course - Full Beginners Tutorial (Containerize Your Apps!): https://www.youtube.com/watch?v=d6WC5n9G_sM 

- Kubecon North America 2021 Playlist: https://www.youtube.com/playlist?list=PLj6h78yzYM2Nd1U4RMhv7v88fdiFqeYAP 

- Kubecon North America 2020 Playlist: https://www.youtube.com/playlist?list=PLj6h78yzYM2Pn8RxfLh2qrXBDftr6Qjut 

- Kubecon North America 2019 Playlist: https://www.youtube.com/playlist?list=PLj6h78yzYM2NDs-iu8WU5fMxINxHXlien 

### Udemy ***$***

- Docker Mastery: with Kubernetes +Swarm from a Docker Captain: https://www.udemy.com/course/docker-mastery/ 

- Docker and Kubernetes: The Complete Guide: https://www.udemy.com/course/docker-and-kubernetes-the-complete-guide/ 

- Kubernetes Mastery: Hands-On Lessons From A Docker Captain: https://www.udemy.com/course/kubernetesmastery/ 

### ACloudGuru ***$***

- Introduction to Kubernetes: https://acloudguru.com/course/introduction-to-kubernetes 

- Hands-On Kubernetes Troubleshooting: https://acloudguru.com/course/hands-on-kubernetes-troubleshooting 

- Certified Kubernetes Application Developer (CKAD): https://acloudguru.com/course/certified-kubernetes-application-developer-ckad 

- Certified Kubernetes Administrator (CKA): https://acloudguru.com/course/certified-kubernetes-administrator-cka 

- Certified Kubernetes Security Specialist (CKS): https://acloudguru.com/course/certified-kubernetes-security-specialist-cks 

## Rancher

### YouTube ***Free***

- High Availability Rancher on a Kubernetes Cluster(K3s): https://www.youtube.com/watch?v=APsZJbnluXg 

- K3d - How to run Kubernetes cluster locally using Rancher K3s: https://www.youtube.com/watch?v=mCesuGk-Fks 
HIGH AVAILABILITY k3s (Kubernetes) in minutes!: https://www.youtube.com/watch?v=UoOcLXfa8EU 

- Running K3s, Lightweight Kubernetes, in Production for the Edge & Beyond - Darren Shepherd, Rancher: https://www.youtube.com/watch?v=aR12Oij4CYw

- Fully Automated K3S HA Cluster Install with kube-vip, MetalLB, and Ansible: https://www.youtube.com/watch?v=CbkEWcUZ7zM 

- HA Kubernetes with RKE2, kube-vip, and Rancher: https://www.youtube.com/watch?v=QqSgiezqMAA

- Using Rancher For Creating And Managing Kubernetes Clusters: https://www.youtube.com/watch?v=LK6KbAlQRIg 
Managing RBAC Cross Multiple Kubernetes Clusters - Alena Prokharchyk, Rancher Labs, Inc.: https://www.youtube.com/watch?v=kUXexTc9kHU 

- How To Manage Production-Grade Kubernetes Clusters With Rancher: https://www.youtube.com/watch?v=JFALdhtBxR8 

- Kubernetes Cluster in Minutes in VMware vSphere using Rancher: https://www.youtube.com/watch?v=lKzkgmR6A2A 

- Cloud Native Distributed Storage in Kubernetes with Longhorn: https://www.youtube.com/watch?v=eKBBHc0t7bc 

- Rancher Desktop Deep Dive: https://www.youtube.com/watch?v=fa59nQvC2S0 

### ACloudGuru ***$***

- Introduction to Rancher: https://acloudguru.com/course/introduction-to-rancher 

## About Alphabravo

**AlphaBravo** provides products, services, and training for Kubernetes, Cloud, and DevSecOps. We are a Rancher and SUSE partner.

Contact **AB** today to learn how we can help you.

* **Web:** https://alphabravo.io
* **Email:** info@alphabravo.io
* **Phone:** 301-337-8141